Skala
Contacts

Create a new contact

Adds a new contact record to the database.

POST
/api/contacts

Adds a new contact record to the database.

AuthorizationBearer <token>

In: header

Request Body

application/json

The new Contact resource

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://api.skalasuite.com/api/contacts" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{
  "id": 0,
  "name": "string",
  "email": "string",
  "phoneNumber": "string",
  "comment": "string",
  "type": "string",
  "address": {
    "id": 0,
    "country": {
      "id": 0,
      "name": "string"
    },
    "body": "string"
  },
  "code": "string",
  "discountRate": "string",
  "taxOffice": "string",
  "taxId": "string"
}
Empty
Empty